# getCallInfoUID

Retrieve the details about the last call related to the async UID passed.
**To retrieve all the calls related to the async UID, use the [getAsyncRequestInfo](./../v2/getasyncrequestinfo) method of the v2 API.**

Endpoint: POST /api/service/getCallInfoUID
Version: 2.1.0

## Request fields (application/json):

  - `uId` (string, required)
    Unique id of the call to looking for, supplied by [pushAsyncCall](./pushasynccall)

## Response 200:

  - `200` (unknown)
    Request success response

## Response 200 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `id_conference` (string)
    The unique id of the call

  - `call_waiting_for_answer` (boolean)
    if `true` the call is waiting for an operator to answer

  - `call_insert_date` (string)
    The date and time when the call was created in the LiveID+ async-call service

  - `call_expire_date` (string)
    The date and time of the call expiration

  - `call_start_date` (string)
    The date and time when the compatibility test was started

  - `call_answer_date` (string)
    The date and time when the call was answered by an operator

  - `call_end_date` (string)
    The date and time when the call was closed

  - `call_end_status` (string)
    The status of the call at the end
- N > OK
- A > Aborted by operator
- K > System KO
- S > Suspended
    Enum: "N", "A", "K", "S"

  - `customer_name` (string)
    customer name

  - `customer_surname` (string)
    customer surname

## Response 400:

  - `400` (unknown)
    Bad Request

## Response 400 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 404:

  - `404` (unknown)
    Not Found

## Response 404 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

## Response 500:

  - `500` (unknown)
    Internal Server Error

## Response 500 fields (application/json):

  - `service` (string)
    Service endpoint

  - `success` (boolean)
    Success result

  - `errorMessage` (string)
    Description of the message

